org.opencv.calib3d

## Class StereoSGBM

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.calib3d.StereoMatcher
    - - org.opencv.calib3d.StereoSGBM

-     public class StereoSGBM
      extends StereoMatcher

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `MODE_HH`
    `static int` | `MODE_HH4`
    `static int` | `MODE_SGBM`
    `static int` | `MODE_SGBM_3WAY`

    - ### Fields inherited from class org.opencv.calib3d.StereoMatcher

      `DISP_SCALE, DISP_SHIFT`

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `StereoSGBM(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StereoSGBM` | `__fromPtr__(long addr)`
    `static StereoSGBM` | `create()`
    `static StereoSGBM` | `create(int minDisparity)`
    `static StereoSGBM` | `create(int minDisparity, int numDisparities)`
    `static StereoSGBM` | `create(int minDisparity, int numDisparities, int blockSize)`
    `static StereoSGBM` | `create(int minDisparity, int numDisparities, int blockSize, int P1)`
    `static StereoSGBM` | `create(int minDisparity, int numDisparities, int blockSize, int P1, int P2)`
    `static StereoSGBM` | `create(int minDisparity, int numDisparities, int blockSize, int P1, int P2, int disp12MaxDiff)`
    `static StereoSGBM` | `create(int minDisparity, int numDisparities, int blockSize, int P1, int P2, int disp12MaxDiff, int preFilterCap)`
    `static StereoSGBM` | `create(int minDisparity, int numDisparities, int blockSize, int P1, int P2, int disp12MaxDiff, int preFilterCap, int uniquenessRatio)`
    `static StereoSGBM` | `create(int minDisparity, int numDisparities, int blockSize, int P1, int P2, int disp12MaxDiff, int preFilterCap, int uniquenessRatio, int speckleWindowSize)`
    `static StereoSGBM` | `create(int minDisparity, int numDisparities, int blockSize, int P1, int P2, int disp12MaxDiff, int preFilterCap, int uniquenessRatio, int speckleWindowSize, int speckleRange)`
    `static StereoSGBM` | `create(int minDisparity, int numDisparities, int blockSize, int P1, int P2, int disp12MaxDiff, int preFilterCap, int uniquenessRatio, int speckleWindowSize, int speckleRange, int mode)`
    `protected void` | `finalize()`
    `int` | `getMode()`
    `int` | `getP1()`
    `int` | `getP2()`
    `int` | `getPreFilterCap()`
    `int` | `getUniquenessRatio()`
    `void` | `setMode(int mode)`
    `void` | `setP1(int P1)`
    `void` | `setP2(int P2)`
    `void` | `setPreFilterCap(int preFilterCap)`
    `void` | `setUniquenessRatio(int uniquenessRatio)`

    - ### Methods inherited from class org.opencv.calib3d.StereoMatcher

      `compute, getBlockSize, getDisp12MaxDiff, getMinDisparity, getNumDisparities, getSpeckleRange, getSpeckleWindowSize, setBlockSize, setDisp12MaxDiff, setMinDisparity, setNumDisparities, setSpeckleRange, setSpeckleWindowSize`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MODE_SGBM

          public static final int MODE_SGBM

      See Also:
        Constant Field Values

    - #### MODE_HH

          public static final int MODE_HH

      See Also:
        Constant Field Values

    - #### MODE_SGBM_3WAY

          public static final int MODE_SGBM_3WAY

      See Also:
        Constant Field Values

    - #### MODE_HH4

          public static final int MODE_HH4

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### StereoSGBM

          protected StereoSGBM(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static StereoSGBM __fromPtr__(long addr)

    - #### create

          public static StereoSGBM create(int minDisparity,
                                          int numDisparities,
                                          int blockSize,
                                          int P1,
                                          int P2,
                                          int disp12MaxDiff,
                                          int preFilterCap,
                                          int uniquenessRatio,
                                          int speckleWindowSize,
                                          int speckleRange,
                                          int mode)

    - #### create

          public static StereoSGBM create(int minDisparity,
                                          int numDisparities,
                                          int blockSize,
                                          int P1,
                                          int P2,
                                          int disp12MaxDiff,
                                          int preFilterCap,
                                          int uniquenessRatio,
                                          int speckleWindowSize,
                                          int speckleRange)

    - #### create

          public static StereoSGBM create(int minDisparity,
                                          int numDisparities,
                                          int blockSize,
                                          int P1,
                                          int P2,
                                          int disp12MaxDiff,
                                          int preFilterCap,
                                          int uniquenessRatio,
                                          int speckleWindowSize)

    - #### create

          public static StereoSGBM create(int minDisparity,
                                          int numDisparities,
                                          int blockSize,
                                          int P1,
                                          int P2,
                                          int disp12MaxDiff,
                                          int preFilterCap,
                                          int uniquenessRatio)

    - #### create

          public static StereoSGBM create(int minDisparity,
                                          int numDisparities,
                                          int blockSize,
                                          int P1,
                                          int P2,
                                          int disp12MaxDiff,
                                          int preFilterCap)

    - #### create

          public static StereoSGBM create(int minDisparity,
                                          int numDisparities,
                                          int blockSize,
                                          int P1,
                                          int P2,
                                          int disp12MaxDiff)

    - #### create

          public static StereoSGBM create(int minDisparity,
                                          int numDisparities,
                                          int blockSize,
                                          int P1,
                                          int P2)

    - #### create

          public static StereoSGBM create(int minDisparity,
                                          int numDisparities,
                                          int blockSize,
                                          int P1)

    - #### create

          public static StereoSGBM create(int minDisparity,
                                          int numDisparities,
                                          int blockSize)

    - #### create

          public static StereoSGBM create(int minDisparity,
                                          int numDisparities)

    - #### create

          public static StereoSGBM create(int minDisparity)

    - #### create

          public static StereoSGBM create()

    - #### getMode

          public int getMode()

    - #### getP1

          public int getP1()

    - #### getP2

          public int getP2()

    - #### getPreFilterCap

          public int getPreFilterCap()

    - #### getUniquenessRatio

          public int getUniquenessRatio()

    - #### setMode

          public void setMode(int mode)

    - #### setP1

          public void setP1(int P1)

    - #### setP2

          public void setP2(int P2)

    - #### setPreFilterCap

          public void setPreFilterCap(int preFilterCap)

    - #### setUniquenessRatio

          public void setUniquenessRatio(int uniquenessRatio)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `StereoMatcher`
      Throws:
        `java.lang.Throwable`

Generated on Wed Aug 29 2018 10:29:57 UTC / OpenCV 3.4.3